<template>
  <div class="mockup-mobile">
    <div class="mockup-mobile__container">
      <span class="mockup-mobile__details"></span>
      <div class="mockup-mobile__gradient">
        <slot name="gradient" />
      </div>
      <div class="mockup-mobile__blur">
        <div
          class="mockup-mobile__content"
          :class="{ 'cropped-content': croppedContent }"
        >
          <slot name="content" />
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'MobileMockup',
  props: {
    croppedContent: {
      type: Boolean,
      default: false
    }
  }
}
</script>
